/* GENERAL */

body{
    
    font-family: "Quicksand", sans-serif;
}

h1,h2,h3,h4,h5,h6{
    
    font-weight: bold;
}

img{
    
    max-width: 100%;
    height: auto;
    
}

ul{
    
    list-style: none;
}

section {
    
    padding: 25px 0 80px 0;
}

section .heading{
    
    text-align: center;
    
}

section .heading h2{
    
    text-transform: uppercase;
}

.blue-divider{
    
    width: 100px;
    height: 2px;
    background: #558ed5;
    margin: 10px auto;
    
}

.white-divider{
    
    width: 100px;
    height: 2px;
    background: white;
    margin: 10px auto;
    
}

/* SECTION MENU */

.navbar{
    
    background: #558ed5;
    font-size: 15px;
    font-weight: bold;
    text-transform: uppercase;
    letter-spacing: 4px; /* espacement entre les lettres */
}

.navbar .navbar-collapse{
    
    text-align: center;
}

.navbar li a{
    
    color: #fff !important; /* !important => donne la priorité par rapport aux propriétés prédéfinis par Bootstrap */
    
}

.nav-pills .nav-link{
    color: #fff !important;
    text-align: center;
}

.navbar li a:hover, .navbar-nav li.active a{
    
    color: #558ed5 !important; 
    background-color: #fff !important;  
}

.navbar-toggler{
    color: #fff !important;
    border-style: none;
}

/* SECTION ABOUT */

#about{
    
    padding-top: 100px;
    background: #558ed5;
}

.profile-picture{
    
    text-align: center;
    margin: 0 auto;
    float: none;
}

#about .heading{
    
    margin-top: 20px;
}

#about .heading h1{
    
    color: white;
    text-transform: uppercase;
    
}

#about .heading h3{
    
    color: black;
        
}

.button1{
    
    font-weight: bold;
    text-transform: uppercase;
    color: #fff;
    border: 1px solid white;
    margin-top: 20px;
    padding: 18px 50px;
    border-radius: 5px;
    display: inline-block; /* l'élément est un <a> => besoin de display: inline-block; pour que la marge paramétré avant soit effective */
    transition: all 0.2s ease-in 0s; /* transition du bouton. ICI, le 0.2s est le temps de fade-in/out */
    
}

.button1:hover{
    
    color: #558ed5;
    background: white;
    text-decoration: none;

}

/* SECTION SKILLS */

#skills{
    
    background: #e5e8e8;
    
}

#skills .heading h2{
    
    color: #558ed5;
    padding-bottom: 15px;
    
}

#skills .progress{
    
    height: 35px;
    margin: 30px 20px;
    background: #ddd;
}

#skills .progress-bar{
    
    height: 100%;
    background: #558ed5;
}

#skills .progress h5{
    
    text-shadow: 1px 1px 1px black;
}

/* SECTION EXPERIENCES */

#xp{
    
    background: #558ed5;
}

#xp .heading{
    
    color: white;
}

.timeline{
    
    padding: 30px 10px;
    position: relative;
}

.timeline:before{ /* pseudo class before/after => crée un pseudo-élément qui sera le premier/dernier enfant de l'élément ciblé */
    
    top: 0;
    bottom: 0;
    position: absolute;
    content: " "; /* nécessaire pour cibler l'élément avec after/before */
    width: 5px; /* épaisseur du trait */
    background: #333; /* couleur du trait */
    left: 50%; /* position 50% du contenant = centré */ 
    margin-left: -2.5px; /* vu que élément fait 5px, pour qu'il soit centré PILE en prenant en compte son épaisseur, on le décalle avec une marge négative de width/2 */
}

.timeline > li { /* > permet de prendre le PARENT DIRECT. Ici on prend le parent li direct à .timeline */
    
    margin-bottom: 20px;
    position: relative;
}

.timeline > li:after { 
  
    clear: both;
} 

.timeline > li:before, .timeline > li:after {
    
    content: " ";
    display: table;
}

.timeline li .timeline-badge{
    
    color: #558ed5;
    width: 50px; /* largeur du rond autour de l'icône */
    line-height: 50px; /* hauteur de ligne = hauteur max que peux prendre l'icône */ 
    font-size: 25px; /* taille de l'icône. font-size MARCHE pour ICONES */
    text-align: center; /* centrer sur le fond rond */
    position: absolute; /* position du fond rond par rapport à son parent le + proche ET QUI N'EST PAS STATIC, ici donc timeline (qui est relative) */
    top: 16px;
    left: 50%;
    margin-left: -25px; /* vu que élément fait 50px, pour qu'il soit centré PILE en prenant en compte son épaisseur, on le décalle avec une marge négative de width/2 */
    background: #ddd;
    border-radius: 50%; /* pour donner la forme du rond au fond */
}

.timeline-panel-container{
    
    width: 50%;
    float: left;
}

.timeline-panel-container-inverted{
    
    width: 50%;
    float: right; /* pour que l'élément soit à droite de la barre de séparation */       
}

.timeline-panel{
    
    width: 90%;
    float: right; /* pour que l'élément soit sur la droite par rapport à son contenant, car du côté gauche du séparateur */
    margin-right: 40px; /* espace par rapport au badge */
    border: 1px solid #d4d4d4;
    border-radius: 7px;
    padding: 20px 25px;
    position: relative;
    box-shadow: 0 1px 6px rgba(0,0,0, 0.2);
    background: white;   
}

.timeline-panel-container-inverted .timeline-panel{
    
    float: left; /* pour que l'élément soit sur la gauche par rapport à son contenant, car du côté droite du séparateur */
    margin-left: 40px;
}

.timeline-panel:after{
    
    position: absolute;
    top: 27px;
    right: -14px;
    display: inline-block;
    border-top: 14px solid transparent; /* affichage du petit triangle sur le côté */
    border-left: 14px solid white;
    border-right: 0 solid white;
    border-bottom: 14px solid transparent;
    content: " ";
}

.timeline-panel-container-inverted .timeline-panel:after{
 
    border-left-width: 0;
    border-right-width: 14px;
    left: -14px;
    right: auto;
}

.timeline-heading h3{
    
    margin-top: 5px;
    font-size: 20px;
}

.timeline-heading h4{
    
    font-size: 18px;
    color: #558ed5;
}

/* SECTION EDUCATION */

#education .heading h2{
    
    color: #558ed5;
    padding-bottom: 15px;
}

#education{
    
    background: white;
}

.education-block{
    
    width: 100%;
    margin: 0 auto;
    text-align: center;
    padding: 30px;
    background: #8eb4e3;
    border-radius: 10px;
    border: 2px solid #558ed5;
    margin-bottom: 20px;
}

.education-block h5{
    
    color: #888;
    font-size: 15px;
    margin-bottom: 15px;
}

.education-block i{
    
    font-size: 40px;
}

.education-block h3{
    
    color: #558ed5;
}

.education-block h4{
    
    margin-bottom: 20px;
}

.education-block p{
    
    font-weight: bold;
}

.education-block .blue-divider{
    
    margin-bottom: 20px;
}

/* SECTION PORTFOLIO */

#portfolio{
    
    background: #558ed5;
}

#portfolio .heading h2{
    
    color: #fff;
}

#portfolio .img-thumbnail{
    
    width: 100%; /* de leur contenair */
    height: 100%;
    filter: grayscale(85%); /*  filter: grayscale(100%) => permet d'avoir un filtre noir et blanc de 85% */
    -webkit-filter: grayscale(85%); /* filtre pour chrome */
}

#portfolio .img-thumbnail:hover{ /* annuler le filtre N&B quand on survole l'image */
       
   filter: none;
   -webkit-filter: none;
}

#portfolio .row{
    
    margin-top: 10px;
}

#portfolio .row .col-md-4{
    
    margin-top: 10px;
}

/* SECTION CENTRES D'INTERET */

#interest{
    
    background: white;
}

#interest .heading h2{
    
    color:#558ed5;
}

.fas.fa-chevron-left, .fas.fa-chevron-right{ /*pour appliquer du CSS à une "combinaison" de class (ex: ET carousel-control-prev ET carousel-control-next EN MEME TEMPS, ET INCLUSIF) => pas d'espace entre les class. Si espace = ET NON INCLUSIF */
    
    background-image: none;
    color: #558ed5;
}

.carousel-indicators{
    
    bottom: 0px;
}

.carousel-indicators li.active{
    
    background-color: #558ed5;
}

#moncarou .carousel-item{
    
    padding: 40px 30px;
}

#moncarou .carousel-item h3{
    
    color: #558ed5;
    font-style: italic;
}

/* FOOTER */

footer{
    
    background: #8eb4e3;
    padding: 20px 0 40px;
}

footer i{
    
    font-size: 25px;
    margin: 20px;
    color: #558ed5;
    height: 50px; /*évite le décalage quand la flèche grossit quand on passe dessus */
}

footer i:hover{
    
    font-size: 50px; /* grossissement de la flèche quand on passe dessus */ 
}

footer h5{
    
    color: white;
}